using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.StoragesContracts
{
    public interface IOperationStorage
    {
        List<OperationViewModel> GetFullList();
        List<OperationViewModel> GetFilteredList(OperationSearchModel model);
        OperationViewModel? GetElement(OperationSearchModel model);
        OperationViewModel? Insert(OperationBindingModel model);
        OperationViewModel? Update(OperationBindingModel model);
        OperationViewModel? Delete(OperationBindingModel model);
    }
}
